Skip to main content

Order Updated At

Matt Carter
info

Please refer to the Date and Times documentation on exact input parameter and results formatting.

Parameters​

For the order endpoint, we have added two new query parameters to allow filtering results within a date range or single date. Note that the date filtering is inclusive of the provided date.

  • startUpdatedAt - starting point of the date range to filter results by (inclusive of the date)
  • endUpdatedAt - ending point of the date range to filter results by (inclusive of the date)

Response​

It will also return two new fields in the response, mirroring how createdAt is handled:

  • updatedDate - date portion of the field. Ex. 2024-04-20
  • updatedTimestamp - full timestamp. Ex. 2024-04-20T23:26:41.782Z

Example excerpt from response​

{
"id": "82b67224-9bc3-4099-9b2d-9e415c91e912",
"updatedDate": "2023-04-20",
"updatedTimestamp": "2023-04-20T23:26:41.782Z"
}

View the Order API Reference for more detail.